<?php
namespace Magento\Checkout\Block\Cart\Item\Renderer\Actions\Remove;

/**
 * Interceptor class for @see \Magento\Checkout\Block\Cart\Item\Renderer\Actions\Remove
 */
class Interceptor extends \Magento\Checkout\Block\Cart\Item\Renderer\Actions\Remove implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Checkout\Helper\Cart $cartHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $cartHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
